Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

apache2+php4

Alles rund um das Internet, Internet-Anwendungen (E-Mail, Surfen, Cloud usw.) und das Einrichten von Netzwerken einschl. VPN unter Linux

Moderator: Moderatoren

Antworten
gabelhonz
Newbie
Newbie
Beiträge: 4
Registriert: 11. Jun 2004, 14:02

apache2+php4

Beitrag von gabelhonz »

Hallo Leute,

also ich kenn mich nur gering mit Suse aus, ich benutze Gentoo und möchte aber was auf einem Suse System installieren ! Ich hoffe ihr könnt mir hier ein wenig helfen :

Also folgendes:

Wenn ich über yast den apache2 installiere, wird ne rpm installiert in der anscheinen php4 mit dabei ist. (deswegen heisst die rpm ja glaube ich apache2_php4 oder so). ok soweit so gut.
jedoch ist es sehr ärgerlich das leider in diesem rpm packet php ohne gd compiliert wurde ! Bei meinem System würde ich php dann mit der gd Flag compilen.

Was mach ich jetzt am besten damit ich php mit gd support bekomme?

php und apache2 selbst compilen und installen ?
gibts es nicht ne einfachere Lösung bzw. nen rpm patch oder sowas ?

gruß
gabelhonz
Newbie
Newbie
Beiträge: 4
Registriert: 11. Jun 2004, 14:02

etc.

Beitrag von gabelhonz »

immer noch keine antwort,
sehr schade...
litemaster
Member
Member
Beiträge: 127
Registriert: 10. Aug 2004, 11:51

Beitrag von litemaster »

Hast du zusätzlich zu apache2 und apache2_php4 die Pakete gd und php4-gd installiert?

Ich hatte bisher bei jeder SuSE-Installation GD-Support in PHP. Welche Version verwendest du denn?
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus »

@gabelhonz

2004-Dez-03, 1:54 pm - 2004-Dez-03, 7:09 pm
etwas mehr Geduld würde dir nicht schaden ...

bei so hohen ansprüchen an die Responsetime .. wow
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User
gabelhonz
Newbie
Newbie
Beiträge: 4
Registriert: 11. Jun 2004, 14:02

Beitrag von gabelhonz »

also installiert ist Suse 9.0.
das package php4-gd gibts auf dem suse ftp nicht !
die gd library ist ja standartmäßig installiert !

wieso funktioniert kein gd?
an was kann das liegen?
Antworten